Bug 884293 - (CVE-2012-5625) CVE-2012-5625 OpenStack Nova: Information leak in libvirt LVM-backed instances
CVE-2012-5625 OpenStack Nova: Information leak in libvirt LVM-backed instances
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20121211,reported=2...
: Security
Depends On: 884294
Blocks: 873487 884295
  Show dependency treegraph
 
Reported: 2012-12-05 15:16 EST by Kurt Seifried
Modified: 2016-04-26 10:05 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-23 08:43:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
openstack-nova-CVE-2012-5625.patch (1.85 KB, patch)
2012-12-11 14:19 EST, Kurt Seifried
no flags Details | Diff
openstack-folsom-nova-CVE-2012-5625.patch (1.85 KB, patch)
2012-12-11 14:20 EST, Kurt Seifried
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1070539 None None None Never

  None (edit)
Description Kurt Seifried 2012-12-05 15:16:45 EST
Thierry Carrez (thierry@openstack.org) has released information 

Title: Information leak in libvirt LVM-backed instances
Reporter: Eric Windisch (Cloudscaling)
Products: Nova
Affects: Folsom, Grizzly

Description:
Eric Windisch from Cloudscaling reported a vulnerability in libvirt
LVM-backed instances. The physical volume content was not wiped out
before being reallocated and passed to an instance, which may result in
the disclosure of information from previously-allocated logical volumes.
Only setups using libvirt and LVM-backed instances
(libvirt_images_type=lvm) are affected.

This was originally reported by Eric Windisch from Cloudscaling
Comment 2 Kurt Seifried 2012-12-11 13:59:25 EST
External Reference:

http://lists.openstack.org/pipermail/openstack-announce/2012-December/000059.html
Comment 3 Kurt Seifried 2012-12-11 14:19:40 EST
Created attachment 661612 [details]
openstack-nova-CVE-2012-5625.patch
Comment 4 Kurt Seifried 2012-12-11 14:20:29 EST
Created attachment 661613 [details]
openstack-folsom-nova-CVE-2012-5625.patch
Comment 5 Kurt Seifried 2012-12-11 14:41:42 EST
Acknowledgements:

Red Hat would like to thank the OpenStack project for reporting this issue. Upstream acknowledges Eric Windisch as the original reporter of CVE-2012-5625.
Comment 6 Fedora Update System 2013-01-02 14:10:18 EST
openstack-nova-2012.2.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-01-11 18:33:35 EST
openstack-nova-2012.2.2-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 errata-xmlrpc 2013-01-30 16:07:30 EST
This issue has been addressed in following products:

  OpenStack Folsom for RHEL 6

Via RHSA-2013:0208 https://rhn.redhat.com/errata/RHSA-2013-0208.html

Note You need to log in before you can comment on or make changes to this bug.